#!/bin/sh -e

# Build the release binary
echo ""
echo "Building p5x..."
echo ""
./scripts/build.sh

# Create a data volume if one doesn't already exist
if ! docker volume inspect p5x-data >/dev/null; then
    docker volume create p5x-data
fi

# Run the docker container for the server (use -it if we have TTY)
P5X_ARGS="-p 3450:3450 --rm --mount source=p5x-data,target=/p5x/data"
if [ -t 1 ]; then
    P5X_ARGS="$P5X_ARGS -it"
fi

if [ -f .env ]; then
    P5X_ARGS="$P5X_ARGS --env-file .env"
fi

echo ""
echo "Running p5x..."
echo ""
docker run $P5X_ARGS "$DOCKER_REGISTRY/p5x-rs:latest"
